%define	api		1.0
%define	major		0
%define	libname		%mklibname goa %{api} %{major}
%define backendmajor	1
%define libbackend	%mklibname goa-backend %{api} %{backendmajor}
%define	gi_libname	%mklibname goa-gir %{api}
%define	develname	%mklibname -d goa

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gnome-online-accounts
Version:	3.36.0
Release:	%mkrel 1
Summary:	Provide online accounts information
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		http://developer.gnome.org/goa/stable/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gtk-doc
BuildRequires:	gettext

%description
gnome-online-accounts provides interfaces so applications and
libraries in GNOME can access the user's online accounts.

%package -n %{libname}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
Runtime libraries for %{name}.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
The gnome-online-accounts-devel package contains libraries and header
files for developing applications that use gnome-online-accounts.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-vala \
	--enable-introspection \
	--enable-gtk-doc \
	--enable-exchange \
	--enable-facebook \
	--enable-flickr \
	--enable-google \
	--enable-imap-smtp \
	--enable-kerberos \
	--enable-owncloud \
	--enable-windows-live

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc NEWS
%{_libexecdir}/goa-daemon
%{_libexecdir}/goa-identity-service
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_datadir}/dbus-1/services/org.gnome.Identity.service
%{_iconsdir}/hicolor/*/apps/*
%dir %{_libdir}/goa-%{api}/
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml

%files -n %{libname}
%{_libdir}/libgoa-%{api}.so.%{major}
%{_libdir}/libgoa-%{api}.so.%{major}.*
%{_libdir}/goa-%{api}/web-extensions/libgoawebextension.so
%{_libdir}/libgoa-backend-%{api}.so.%{backendmajor}
%{_libdir}/libgoa-backend-%{api}.so.%{backendmajor}.*
%{_libdir}/girepository-1.0/Goa-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/goa/
%{_includedir}/goa-%{api}/
%{_libdir}/goa-%{api}/include
%{_libdir}/libgoa-%{api}.so
%{_libdir}/libgoa-backend-%{api}.so
%{_datadir}/gir-1.0/Goa-%{api}.gir
%{_libdir}/pkgconfig/goa-%{api}.pc
%{_libdir}/pkgconfig/goa-backend-%{api}.pc
%{_datadir}/vala/vapi/goa-%{api}.*

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Tue May 19 2020 tex - 3.36.0-1pclos2020
- 3.36.0
